/*
 * CSS styling for "servicemusic.org.uk"
 * -- David Lee
 */

/*
 * Footnotes
 *
 * This is modelled somewhat on Wikipedia.
 */

/*
 * refs from main text
 */
.footnotes {
  font-size: 90%;

  margin-top:     0.2em;
  margin-right:   0.3em;
  margin-bottom:  0.2em;
  margin-left:    0.3em;

  padding-top:    0.6em;
  padding-right:  0.2em;
  padding-bottom: 0.6em;
  padding-left:   0.2em;
}

.footnotes p {
  margin-top:    0.2em;
  margin-bottom: 0.2em;
}

/* 
 * Keep footnote "word.[1]" joined.
 * See: https://stackoverflow.com/questions/78133585/in-htmlcss-is-there-a-general-way-to-suppress-line-breaks-between-certain-chara
 */
sup {
  unicode-bidi: isolate;
}


/*
 * footnotes: printing
 * The default visibility of underlining on the cross-refs is too fussy.
 * Limit to mouse-over hover.
 */
/* Remove underline from normal links */
.footnotes__print a {
  text-decoration: none;
}

/* Restore underline on hover */
.footnotes__print a:hover {
  text-decoration: underline;
}
